SDL_GPUBufferBinding(3type)

NAME
SDL_GPUBufferBinding - A structure specifying parameters in a buffer binding call.

HEADER FILE
Defined in SDL3/SDL_gpu.h

SYNOPSIS
#include "SDL3/SDL.h"

typedef struct SDL_GPUBufferBinding
{
    SDL_GPUBuffer *buffer;  /**< The buffer to bind. Must have been created with SDL_GPU_BUFFERUSAGE_VERTEX for SDL_BindGPUVertexBuffers, or SDL_GPU_BUFFERUSAGE_INDEX for SDL_BindGPUIndexBuffer. */
    Uint32 offset;          /**< The starting byte of the data to bind in the buffer. */
} SDL_GPUBufferBinding;

AVAILABILITY
This struct is available since SDL 3.2.0.

SEE ALSO
•(3), SDL_BindGPUVertexBuffers(3), •(3), SDL_BindGPUIndexBuffer(3)